"""nullable=False to event and user tables

Revision ID: 902a6851ae27
Revises: bb3a88007475
Create Date: 2024-01-08 15:26:14.845553

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '902a6851ae27'
down_revision = 'bb3a88007475'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('event', schema=None) as batch_op:
        batch_op.alter_column('description',
               existing_type=sa.VARCHAR(length=200),
               nullable=False)
        batch_op.alter_column('location',
               existing_type=sa.VARCHAR(length=100),
               nullable=False)
        batch_op.alter_column('duedate',
               existing_type=sa.DATETIME(),
               nullable=False)

    with op.batch_alter_table('user', schema=None) as batch_op:
        batch_op.alter_column('name',
               existing_type=sa.VARCHAR(length=100),
               nullable=False)
        batch_op.alter_column('password_hash',
               existing_type=sa.VARCHAR(length=128),
               nullable=False)

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('user', schema=None) as batch_op:
        batch_op.alter_column('password_hash',
               existing_type=sa.VARCHAR(length=128),
               nullable=True)
        batch_op.alter_column('name',
               existing_type=sa.VARCHAR(length=100),
               nullable=True)

    with op.batch_alter_table('event', schema=None) as batch_op:
        batch_op.alter_column('duedate',
               existing_type=sa.DATETIME(),
               nullable=True)
        batch_op.alter_column('location',
               existing_type=sa.VARCHAR(length=100),
               nullable=True)
        batch_op.alter_column('description',
               existing_type=sa.VARCHAR(length=200),
               nullable=True)

    # ### end Alembic commands ###
